
From: William Lee Irwin III <wli@holomorphy.com>

The stack is now shared with struct thread_info on most arches, not task_t. 
This mostly affects get_wchan() and stack usage debug.


---

 25-akpm/arch/m68k/kernel/process.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/m68k/kernel/process.c~m68k-stack-bounds-checking arch/m68k/kernel/process.c
--- 25/arch/m68k/kernel/process.c~m68k-stack-bounds-checking	2004-04-17 01:11:51.808250864 -0700
+++ 25-akpm/arch/m68k/kernel/process.c	2004-04-17 01:11:51.812250256 -0700
@@ -392,7 +392,7 @@ unsigned long get_wchan(struct task_stru
 	stack_page = (unsigned long)(p->thread_info);
 	fp = ((struct switch_stack *)p->thread.ksp)->a6;
 	do {
-		if (fp < stack_page+sizeof(struct task_struct) ||
+		if (fp < stack_page+sizeof(struct thread_info) ||
 		    fp >= 8184+stack_page)
 			return 0;
 		pc = ((unsigned long *)fp)[1];

_
